NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.Weld.WeldGrooveBuilder Class Reference

Represents a NXOpen.Weld.WeldGroove builder More...

Inheritance diagram for NXOpen.Weld.WeldGrooveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  Types {
  SquareButt, VGroove, BevelGroove, UGroove,
  JGroove, FlaredVGroove, FlaredBevelGroove, FillinFlaredVGroove,
  FillinFlaredBevelGroove
}
 The types of Groove to create More...
 
enum  Contour { None, Convex, Flush, Concave }
 The options for Contour Type More...
 
enum  SkipWeldMethod { NumberLength, NumberSpacing, SpacingLength }
 The options for creating Skip Weld More...
 
enum  Edge { NotPrepared, Prepared }
 A value indicating whether the edges have been prepared More...
 
enum  Prepare { None, EntireLength, WeldLimits, Complex }
 The type of edges to be prepared More...
 
enum  Taper { FromEndFace, FromTopFace }
 The type of Taper Method More...
 

Properties

unsafe bool AssignWeldPMI [get, set]
 Returns or sets a value indicating whether the assign weld pmi is true More...
 
unsafe
NXOpen.Weld.CharacteristicsBuilder 
Characteristics [get]
 Returns the characteristics More...
 
unsafe NXOpen.Expression ContourHeight [get]
 Returns the contour height More...
 
unsafe
NXOpen.Weld.WeldGrooveBuilder.Contour 
ContourType [get, set]
 Returns or sets the contour type More...
 
unsafe bool CreateSkipWelds [get, set]
 Returns or sets a value indicating whether to create skip welds More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance More...
 
unsafe NXOpen.Section EdgeSet1 [get]
 Returns the first edge set More...
 
unsafe NXOpen.Section EdgeSet2 [get]
 Returns the second edge set More...
 
unsafe
NXOpen.Weld.WeldGrooveBuilder.Edge 
EdgeType [get, set]
 Returns or sets the edge type More...
 
unsafe NXOpen.Expression EndAngle [get]
 Returns the taper angle at the end of the weld More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
EndDistance [get]
 Returns the end limit as defined by the distance along the edge More...
 
unsafe NXOpen.ScCollector FaceSet1 [get]
 Returns the face set1 More...
 
unsafe NXOpen.ScCollector FaceSet2 [get]
 Returns the face set2 More...
 
unsafe NXOpen.Expression GrooveAngle [get]
 Returns the groove angle More...
 
unsafe NXOpen.Expression GrooveRadius [get]
 Returns the groove radius More...
 
unsafe bool IsRootOpening [get, set]
 Returns or sets a value indicating whether root opening is true More...
 
unsafe bool IsRootPenetration [get, set]
 Returns or sets a value indicating whether root depth is true More...
 
unsafe
NXOpen.Weld.WeldGrooveBuilder.SkipWeldMethod 
Method [get, set]
 Returns or sets the method for creating skip welds More...
 
unsafe NXOpen.Expression NumberOfWelds [get]
 Returns the number of welds More...
 
unsafe NXOpen.Expression PenetrationDepth [get]
 Returns the penetration depth More...
 
unsafe
NXOpen.Weld.WeldGrooveBuilder.Prepare 
PrepareEdges [get, set]
 Returns or sets the type of edges to prepare More...
 
unsafe bool RecreateDeletedWelds [get, set]
 Returns or sets a value indicating whether to recreate deleted welds More...
 
unsafe NXOpen.Expression RootOpening [get]
 Returns the root opening More...
 
unsafe NXOpen.Expression RootPenetration [get]
 Returns the root penetration More...
 
unsafe NXOpen.Expression SecondPenetrationDepth [get]
 Returns the second penetration depth More...
 
unsafe NXOpen.Face SeedFace1 [get, set]
 Returns or sets the first seed face More...
 
unsafe NXOpen.Face SeedFace2 [get, set]
 Returns or sets the second seed face More...
 
unsafe NXOpen.Point3d SeedPoint1 [get, set]
 Returns or sets the point on the first face More...
 
unsafe NXOpen.Point3d SeedPoint2 [get, set]
 Returns or sets the point on the second face More...
 
unsafe NXOpen.Expression SegmentLength [get]
 Returns the length of weld More...
 
unsafe bool SingleFaceSet [get, set]
 Returns or sets a value indicating whether the single face set is true More...
 
unsafe NXOpen.Expression Spacing [get]
 Returns the spacing between welds More...
 
unsafe NXOpen.Expression StartAngle [get]
 Returns the taper angle at the start of the weld More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
StartDistance [get]
 Returns the start limit as defined by the distance along the edge More...
 
unsafe
NXOpen.Weld.WeldGrooveBuilder.Taper 
TaperMethod [get, set]
 Returns or sets the taper method More...
 
unsafe
NXOpen.Weld.WeldGrooveBuilder.Types 
Type [get, set]
 Returns or sets the type of the groove More...
 
unsafe double Uparameter1 [get, set]
 Returns or sets the u parameter for first face More...
 
unsafe double Uparameter2 [get, set]
 Returns or sets the u parameter for second face More...
 
unsafe bool UseFillin [get, set]
 Returns or sets a value indicating whether to use fillin More...
 
unsafe double Vparameter1 [get, set]
 Returns or sets the v parameter for first face More...
 
unsafe double Vparameter2 [get, set]
 Returns or sets the v parameter for second face More...
 
unsafe bool WeldSymmetric [get, set]
 Returns or sets a value indicating whether the second depth is the same as the first depth More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 

Detailed Description

Represents a NXOpen.Weld.WeldGroove builder

To create a new instance of this class, use NXOpen.Weld.WeldManager.CreateWeldGroove1Builder

Default values.

Property Value

AssignWeldPMI

0

ContourHeight.Value

3.0 (millimeters part), 0.118 (inches part)

ContourType

None

CreateSkipWelds

0

EdgeType

NotPrepared

EndAngle.Value

0

GrooveAngle.Value

45.0

GrooveRadius.Value

1.0 (millimeters part), 0.04 (inches part)

IsRootOpening

0

IsRootPenetration

0

Method

NumberLength

NumberOfWelds.Value

3

PenetrationDepth.Value

3.0 (millimeters part), 0.118 (inches part)

PrepareEdges

EntireLength

RecreateDeletedWelds

0

RootOpening.Value

3.0 (millimeters part), 0.118 (inches part)

RootPenetration.Value

3.0 (millimeters part), 0.118 (inches part)

SecondPenetrationDepth.Value

0 (millimeters part), 0 (inches part)

SegmentLength.Value

3.0 (millimeters part), 0.118 (inches part)

SingleFaceSet

0

Spacing.Value

3.0 (millimeters part), 0.118 (inches part)

StartAngle.Value

0

TaperMethod

FromTopFace

Type

SquareButt

UseFillin

0

WeldSymmetric

1

Created in NX9.0.0

Member Enumeration Documentation

The options for Contour Type

Enumerator
None 

None

Convex 

Convex

Flush 

Flush

Concave 

A value indicating whether the edges have been prepared

Enumerator
NotPrepared 

Not Prepared

Prepared 

Prepared

The type of edges to be prepared

Enumerator
None 

None

EntireLength 

Entire Length

WeldLimits 

Weld Limits

Complex 

Complex

The options for creating Skip Weld

Enumerator
NumberLength 

Number and Length

NumberSpacing 

Number and Spacing

SpacingLength 

Spacing and Length

The type of Taper Method

Enumerator
FromEndFace 

From End Face

FromTopFace 

From Top Face

The types of Groove to create

Enumerator
SquareButt 

Square Butt

VGroove 

V Groove

BevelGroove 

Bevel Groove

UGroove 

U Groove

JGroove 

J Groove

FlaredVGroove 

Flared V Groove

FlaredBevelGroove 

Flared Bevel Groove

FillinFlaredVGroove 
FillinFlaredBevelGroove 

Fillin Flared Bevel Groove

Property Documentation

unsafe bool NXOpen.Weld.WeldGrooveBuilder.AssignWeldPMI
getset

Returns or sets a value indicating whether the assign weld pmi is true

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.CharacteristicsBuilder NXOpen.Weld.WeldGrooveBuilder.Characteristics
get

Returns the characteristics

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.WeldGrooveBuilder.ContourHeight
get

Returns the contour height

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldGrooveBuilder.Contour NXOpen.Weld.WeldGrooveBuilder.ContourType
getset

Returns or sets the contour type

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldGrooveBuilder.CreateSkipWelds
getset

Returns or sets a value indicating whether to create skip welds

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldGrooveBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Section NXOpen.Weld.WeldGrooveBuilder.EdgeSet1
get

Returns the first edge set

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Section NXOpen.Weld.WeldGrooveBuilder.EdgeSet2
get

Returns the second edge set

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldGrooveBuilder.Edge NXOpen.Weld.WeldGrooveBuilder.EdgeType
getset

Returns or sets the edge type

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.WeldGrooveBuilder.EndAngle
get

Returns the taper angle at the end of the weld

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Weld.WeldGrooveBuilder.EndDistance
get

Returns the end limit as defined by the distance along the edge

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.ScCollector NXOpen.Weld.WeldGrooveBuilder.FaceSet1
get

Returns the face set1

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.ScCollector NXOpen.Weld.WeldGrooveBuilder.FaceSet2
get

Returns the face set2

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.WeldGrooveBuilder.GrooveAngle
get

Returns the groove angle

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.WeldGrooveBuilder.GrooveRadius
get

Returns the groove radius

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldGrooveBuilder.IsRootOpening
getset

Returns or sets a value indicating whether root opening is true

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldGrooveBuilder.IsRootPenetration
getset

Returns or sets a value indicating whether root depth is true

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldGrooveBuilder.SkipWeldMethod NXOpen.Weld.WeldGrooveBuilder.Method
getset

Returns or sets the method for creating skip welds

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.WeldGrooveBuilder.NumberOfWelds
get

Returns the number of welds

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.WeldGrooveBuilder.PenetrationDepth
get

Returns the penetration depth

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldGrooveBuilder.Prepare NXOpen.Weld.WeldGrooveBuilder.PrepareEdges
getset

Returns or sets the type of edges to prepare

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldGrooveBuilder.RecreateDeletedWelds
getset

Returns or sets a value indicating whether to recreate deleted welds

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.WeldGrooveBuilder.RootOpening
get

Returns the root opening

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.WeldGrooveBuilder.RootPenetration
get

Returns the root penetration

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.WeldGrooveBuilder.SecondPenetrationDepth
get

Returns the second penetration depth

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Face NXOpen.Weld.WeldGrooveBuilder.SeedFace1
getset

Returns or sets the first seed face

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Face NXOpen.Weld.WeldGrooveBuilder.SeedFace2
getset

Returns or sets the second seed face

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Point3d NXOpen.Weld.WeldGrooveBuilder.SeedPoint1
getset

Returns or sets the point on the first face

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Point3d NXOpen.Weld.WeldGrooveBuilder.SeedPoint2
getset

Returns or sets the point on the second face

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.WeldGrooveBuilder.SegmentLength
get

Returns the length of weld

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldGrooveBuilder.SingleFaceSet
getset

Returns or sets a value indicating whether the single face set is true

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.WeldGrooveBuilder.Spacing
get

Returns the spacing between welds

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.WeldGrooveBuilder.StartAngle
get

Returns the taper angle at the start of the weld

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Weld.WeldGrooveBuilder.StartDistance
get

Returns the start limit as defined by the distance along the edge

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldGrooveBuilder.Taper NXOpen.Weld.WeldGrooveBuilder.TaperMethod
getset

Returns or sets the taper method

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldGrooveBuilder.Types NXOpen.Weld.WeldGrooveBuilder.Type
getset

Returns or sets the type of the groove

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldGrooveBuilder.Uparameter1
getset

Returns or sets the u parameter for first face

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldGrooveBuilder.Uparameter2
getset

Returns or sets the u parameter for second face

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldGrooveBuilder.UseFillin
getset

Returns or sets a value indicating whether to use fillin

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldGrooveBuilder.Vparameter1
getset

Returns or sets the v parameter for first face

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldGrooveBuilder.Vparameter2
getset

Returns or sets the v parameter for second face

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldGrooveBuilder.WeldSymmetric
getset

Returns or sets a value indicating whether the second depth is the same as the first depth

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.